Package twisted :: Package mail :: Module protocols :: Class POP3Factory

[frames | no frames]

## Class POP3Factory

      Factory --+
                |
    ServerFactory --+
                    |
                   POP3Factory

POP3 protocol factory.

Method Summary
| `__init__(self, service)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.mail.protocols.VirtualPOP3`
`NoneType` | `service` = None
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### service

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Wed Feb 25 07:37:09 2004 | http://epydoc.sf.net